clang 8.0.0

Classes | Public Types | Public Member Functions | List of all members
clang::DeclContextLookupResult Class Reference

The results of name lookup within a DeclContext. More...

`#include "clang/AST/DeclBase.h"`

## Classes
class | iterator

## Public Types
using | IteratorBase = llvm::iterator_adaptor_base< iterator, ResultTy::iterator, std::random_access_iterator_tag, NamedDecl *const >
using | const_iterator = iterator
using | pointer = iterator::pointer
using | reference = iterator::reference

## Public Member Functions
| DeclContextLookupResult ()=default
| DeclContextLookupResult (ArrayRef< NamedDecl *> Result)
| DeclContextLookupResult (NamedDecl *Single)
iterator | begin () const
iterator | end () const
bool | empty () const
pointer | data () const
size_t | size () const
reference | front () const
reference | back () const
reference | operator[] (size_t N) const
DeclContextLookupResult | slice (size_t N) const

## Detailed Description

The results of name lookup within a DeclContext.

This is either a single result (with no stable storage) or a collection of results (with stable storage provided by the lookup table).

Definition at line 1187 of file DeclBase.h.

## Member Typedef Documentation

## ◆ const_iterator

using clang::DeclContextLookupResult::const_iterator = iterator

Definition at line 1224 of file DeclBase.h.

## ◆ IteratorBase

using clang::DeclContextLookupResult::IteratorBase = llvm::iterator_adaptor_base<iterator, ResultTy::iterator, std::random_access_iterator_tag, NamedDecl *const>

Definition at line 1210 of file DeclBase.h.

## ◆ pointer

using clang::DeclContextLookupResult::pointer = iterator::pointer

Definition at line 1225 of file DeclBase.h.

## ◆ reference

using clang::DeclContextLookupResult::reference = iterator::reference

Definition at line 1226 of file DeclBase.h.

## Constructor & Destructor Documentation

## ◆ DeclContextLookupResult() [1/3]

clang::DeclContextLookupResult::DeclContextLookupResult | ( |  | ) |
| default

## ◆ DeclContextLookupResult() [2/3]

clang::DeclContextLookupResult::DeclContextLookupResult | ( | ArrayRef< NamedDecl *> | Result | ) |
| inline

Definition at line 1200 of file DeclBase.h.

## ◆ DeclContextLookupResult() [3/3]

clang::DeclContextLookupResult::DeclContextLookupResult | ( | NamedDecl * | Single | ) |
| inline

Definition at line 1202 of file DeclBase.h.

## Member Function Documentation

## ◆ back()

reference clang::DeclContextLookupResult::back | ( |  | ) | const
| inline

Definition at line 1235 of file DeclBase.h.

Referenced by clang::ComparisonCategoryInfo::ValueInfo::getIntValue().

## ◆ begin()

iterator clang::DeclContextLookupResult::begin | ( |  | ) | const
| inline

Definition at line 1228 of file DeclBase.h.

Referenced by clang::Sema::CheckCompletedCXXClass(), clang::ObjCPropertyDecl::findPropertyDecl(), clang::ObjCContainerDecl::getIvarDecl(), clang::ObjCContainerDecl::getMethod(), clang::ObjCContainerDecl::HasUserDeclaredSetterMethod(), and clang::DeclContext::using_directives().

## ◆ data()

pointer clang::DeclContextLookupResult::data | ( |  | ) | const
| inline

Definition at line 1232 of file DeclBase.h.

## ◆ empty()

bool clang::DeclContextLookupResult::empty | ( |  | ) | const
| inline

Definition at line 1231 of file DeclBase.h.

Referenced by clang::TemplateDeclInstantiator::InstantiateEnumDefinition(), clang::TemplateDeclInstantiator::InstantiateTypedefNameDecl(), and clang::TreeTransform< Derived >::RebuildShuffleVectorExpr().

## ◆ end()

iterator clang::DeclContextLookupResult::end | ( |  | ) | const
| inline

Definition at line 1229 of file DeclBase.h.

Referenced by clang::Sema::CheckCompletedCXXClass(), clang::ObjCPropertyDecl::findPropertyDecl(), clang::ObjCContainerDecl::getIvarDecl(), clang::ObjCContainerDecl::getMethod(), clang::ObjCContainerDecl::HasUserDeclaredSetterMethod(), and clang::DeclContext::using_directives().

## ◆ front()

reference clang::DeclContextLookupResult::front | ( |  | ) | const
| inline

Definition at line 1234 of file DeclBase.h.

Referenced by clang::ComparisonCategoryInfo::ValueInfo::getIntValue(), clang::Sema::InstantiateClassMembers(), clang::TemplateDeclInstantiator::InstantiateEnumDefinition(), clang::TemplateDeclInstantiator::InstantiateTypedefNameDecl(), lookupStdNamespace(), and clang::TreeTransform< Derived >::RebuildShuffleVectorExpr().

## ◆ operator[]()

reference clang::DeclContextLookupResult::operator[] | ( | size_t | N | ) | const
| inline

Definition at line 1236 of file DeclBase.h.

## ◆ size()

size_t clang::DeclContextLookupResult::size | ( |  | ) | const
| inline

Definition at line 1233 of file DeclBase.h.

Referenced by ClassImplementsAllMethodsAndProperties(), clang::ComparisonCategoryInfo::ValueInfo::getIntValue(), and lookupStdNamespace().

## ◆ slice()

DeclContextLookupResult clang::DeclContextLookupResult::slice | ( | size_t | N | ) | const
| inline

Definition at line 1239 of file DeclBase.h.

The documentation for this class was generated from the following files:

- include/clang/AST/DeclBase.h
- lib/AST/DeclBase.cpp